public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/keystone/
Date: Wed, 13 May 2020 21:32:14 +0000 (UTC)	[thread overview]
Message-ID: <1589405529.ab550c4aafef3af1658a38a294df0fa7c1cfa834.prometheanfire@gentoo> (raw)

commit:     ab550c4aafef3af1658a38a294df0fa7c1cfa834
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed May 13 21:30:35 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed May 13 21:32:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab550c4a

sys-auth/keystone: 16.0.1 bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 sys-auth/keystone/Manifest               |   2 +
 sys-auth/keystone/keystone-16.0.1.ebuild | 166 +++++++++++++++++++++++++++++++
 2 files changed, 168 insertions(+)

diff --git a/sys-auth/keystone/Manifest b/sys-auth/keystone/Manifest
index 25e01d35833..144b6bc5f6a 100644
--- a/sys-auth/keystone/Manifest
+++ b/sys-auth/keystone/Manifest
@@ -1,3 +1,5 @@
 DIST keystone-16.0.0.tar.gz 1671648 BLAKE2B 172ce385a009c4c5fb83fa6fb7fa06d5be98e72064e21d4b5a62bb61bcbdfdce3702847820b71837ff54077b7b454fc0d2b95eabcbb2150f2919c7f9d3fc7299 SHA512 af4c977c4ef0fdcc89e94929c026daa1175caef96332f9dcb71a559659d8361467b2a40174847a8e7d7b70e1a151002cfe846a1be5fc7c5bfd1a8aeae3975397
+DIST keystone-16.0.1.tar.gz 1683325 BLAKE2B 6f22773592a1c843e82bcded230d2606b7fe8e540d50ccdbd85f53d4e5fda81023e85d04c258bc3741ecd7e4f8855299ab1828c8864862715ffd32629b877245 SHA512 060725244a181a98a3011ef7ae648b67054e64216fc62870b4190fd8475c8c36de01ae6428d1d4fac4bbdb405097aab1a9fe11daa65d4624dc613821cfeee004
 DIST keystone.conf.sample-16.0.0 104552 BLAKE2B 35ec8deb13239ba3d46c5ca78ea41372065a867e2715be3fb17cd43d65f1902f02d79d7bc6c6cb5c6aec19a3833d17e9dda12e8e0605919d3a28b6300d3f2cf3 SHA512 535c47e3ec39d454818c883599cf6fc304044208b71b822bdb67099728306235b2ad06ee60cfce9033375ae7b2338b03a0488267af65e900e80ed68e4fee8c5a
+DIST keystone.conf.sample-16.0.1 104552 BLAKE2B 35ec8deb13239ba3d46c5ca78ea41372065a867e2715be3fb17cd43d65f1902f02d79d7bc6c6cb5c6aec19a3833d17e9dda12e8e0605919d3a28b6300d3f2cf3 SHA512 535c47e3ec39d454818c883599cf6fc304044208b71b822bdb67099728306235b2ad06ee60cfce9033375ae7b2338b03a0488267af65e900e80ed68e4fee8c5a
 DIST keystone.conf.sample-2019.2.9999 104552 BLAKE2B 35ec8deb13239ba3d46c5ca78ea41372065a867e2715be3fb17cd43d65f1902f02d79d7bc6c6cb5c6aec19a3833d17e9dda12e8e0605919d3a28b6300d3f2cf3 SHA512 535c47e3ec39d454818c883599cf6fc304044208b71b822bdb67099728306235b2ad06ee60cfce9033375ae7b2338b03a0488267af65e900e80ed68e4fee8c5a

diff --git a/sys-auth/keystone/keystone-16.0.1.ebuild b/sys-auth/keystone/keystone-16.0.1.ebuild
new file mode 100644
index 00000000000..4494f24111e
--- /dev/null
+++ b/sys-auth/keystone/keystone-16.0.1.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 user
+
+DESCRIPTION="The Openstack authentication, authorization, and service catalog"
+HOMEPAGE="https://launchpad.net/keystone"
+if [[ ${PV} == *9999 ]];then
+	inherit git-r3
+	SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/train/keystone.conf.sample -> keystone.conf.sample-${PV}"
+	EGIT_REPO_URI="https://github.com/openstack/keystone.git"
+	EGIT_BRANCH="stable/train"
+else
+	SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/keystone/train/keystone.conf.sample -> keystone.conf.sample-${PV}
+	https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+sqlite ldap memcached mongo mysql postgres test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+	!~dev-python/pbr-2.1.0"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+	!~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
+	>=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+	>=dev-python/flask-1.0.2[${PYTHON_USEDEP}]
+	>=dev-python/flask-restful-0.3.5[${PYTHON_USEDEP}]
+	>=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+	>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+	sqlite? (
+		>=dev-python/sqlalchemy-1.1.0[sqlite,${PYTHON_USEDEP}]
+	)
+	mysql? (
+		>=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+		!~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
+		>=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+	)
+	postgres? (
+		>=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+		>=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+	)
+	>=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+	>=dev-python/passlib-1.7.0[${PYTHON_USEDEP}]
+	>=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+	>=dev-python/keystonemiddleware-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+	>=dev-python/scrypt-0.8.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-context-2.22.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-db-4.27.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+	>=dev-python/oslo-log-3.44.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-policy-2.3.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+	!~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+	>=dev-python/oslo-upgradecheck-0.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+	>=dev-python/oauthlib-0.6.2[${PYTHON_USEDEP}]
+	>=dev-python/pysaml2-4.5.0[${PYTHON_USEDEP}]
+	>=dev-python/pyjwt-1.6.1[${PYTHON_USEDEP}]
+	>=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
+	>=dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
+	!~dev-python/pycadf-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/msgpack-0.5.0[${PYTHON_USEDEP}]
+	>=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+	memcached? (
+		>=dev-python/python-memcached-1.56[${PYTHON_USEDEP}]
+	)
+	mongo? (
+		>=dev-python/pymongo-3.0.2[${PYTHON_USEDEP}]
+		!~dev-python/pymongo-3.1[${PYTHON_USEDEP}]
+	)
+	ldap? (
+		>=dev-python/python-ldap-3.1.0[${PYTHON_USEDEP}]
+		>=dev-python/ldappool-2.3.1[${PYTHON_USEDEP}]
+	)
+	|| (
+		www-servers/uwsgi[python,${PYTHON_USEDEP}]
+		www-apache/mod_wsgi[${PYTHON_USEDEP}]
+		www-servers/gunicorn[${PYTHON_USEDEP}]
+	)"
+
+#PATCHES=(
+#)
+
+pkg_setup() {
+	enewgroup keystone
+	enewuser keystone -1 -1 /var/lib/keystone keystone
+}
+
+python_prepare_all() {
+	# it's in git, but not in the tarball.....
+	sed -i '/^hacking/d' test-requirements.txt || die
+	mkdir -p ${PN}/tests/tmp/ || die
+	sed -i 's|/usr/local|/usr|g' httpd/keystone-uwsgi-* || die
+	sed -i 's|python|python27|g' httpd/keystone-uwsgi-* || die
+	# allow useage of renamed msgpack
+	sed -i '/^msgpack/d' requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	nosetests -I 'test_keystoneclient*' \
+		-e test_static_translated_string_is_Message \
+		-e test_get_token_id_error_handling \
+		-e test_provider_token_expiration_validation \
+		-e test_import --process-restartworker --process-timeout=60 || die "testsuite failed under python2.7"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	diropts -m 0750
+	keepdir /etc/keystone /var/log/keystone
+	insinto /etc/keystone
+	insopts -m0640 -okeystone -gkeystone
+	newins "${DISTDIR}/keystone.conf.sample-${PV}" keystone.conf.sample
+	doins etc/logging.conf.sample
+	doins etc/default_catalog.templates
+#	doins etc/policy.v3cloudsample.json
+	insinto /etc/keystone/httpd
+	doins httpd/*
+
+	fowners keystone:keystone /etc/keystone /etc/keystone/httpd /var/log/keystone
+	# stupid python doing stupid things
+	rm -r "${ED}"/usr/etc
+}
+
+pkg_postinst() {
+	elog "You might want to run:"
+	elog "emerge --config =${CATEGORY}/${PF}"
+	elog "if this is a new install."
+	elog "If you have not already configured your openssl installation"
+	elog "please do it by modifying /etc/ssl/openssl.cnf"
+	elog "BEFORE issuing the configuration command."
+	elog "Otherwise default values will be used."
+}
+
+pkg_config() {
+	if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
+		einfo "Press ENTER to configure the keystone PKI, or Control-C to abort now..."
+		read
+		"${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user keystone --keystone-group keystone
+	else
+		einfo "keystone PKI certificates directory already present, skipping configuration"
+	fi
+}


             reply	other threads:[~2020-05-13 21:32 UTC|newest]

Thread overview: 99+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-13 21:32 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-05-31 21:00 [gentoo-commits] repo/gentoo:master commit in: sys-auth/keystone/ Michał Górny
2020-12-19 21:40 Matthew Thode
2020-10-17 21:53 Matthew Thode
2020-07-03  0:31 Matthew Thode
2020-06-13 15:56 Matthew Thode
2020-05-30 18:02 Matthew Thode
2020-05-16 16:58 Matthew Thode
2020-05-13 22:45 Matthew Thode
2020-01-26 22:41 Matthew Thode
2019-11-19 18:36 Matthew Thode
2019-10-26 18:37 Matthew Thode
2019-10-21  0:19 Matthew Thode
2019-10-15  2:21 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-04-14  7:03 Matthew Thode
2019-04-13 22:54 Matthew Thode
2019-04-10 21:03 Matthew Thode
2019-04-09  7:06 Matthew Thode
2019-04-05  2:23 Matthew Thode
2019-03-25  0:07 Matthew Thode
2018-11-30 17:02 Matthew Thode
2018-11-01 15:48 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-08-30 17:09 Matt Thode
2018-07-27 19:13 Matt Thode
2018-06-26 20:29 Pacho Ramos
2018-03-31  0:59 Matt Thode
2018-03-09 17:59 Matt Thode
2018-03-01  9:57 Matt Thode
2018-02-17  1:47 Matt Thode
2018-01-28  4:13 Matt Thode
2017-10-20 23:20 Matt Thode
2017-09-30  1:06 Matt Thode
2017-08-31 17:44 Matt Thode
2017-08-27  4:26 Matt Thode
2017-08-23 21:10 Matt Thode
2017-07-26 22:15 Matt Thode
2017-07-26 22:15 Matt Thode
2017-07-12 14:43 Pacho Ramos
2017-07-05 21:57 Matt Thode
2017-06-09 21:19 Matt Thode
2017-05-30 19:16 Matt Thode
2017-05-09 15:42 Matt Thode
2017-04-25 16:47 Matt Thode
2017-04-25 16:39 Matt Thode
2017-02-27  2:16 Matt Thode
2017-02-24 17:39 Matt Thode
2017-02-24 17:39 Matt Thode
2017-02-01 21:55 Matt Thode
2016-11-30  5:18 Matt Thode
2016-11-06 21:39 Matt Thode
2016-10-20 23:47 Matt Thode
2016-10-06 18:07 Matt Thode
2016-10-04 15:10 Matt Thode
2016-09-23 14:43 Matt Thode
2016-08-07 20:38 Matt Thode
2016-08-07 20:38 Matt Thode
2016-07-07  0:28 Matt Thode
2016-06-27  4:25 Matt Thode
2016-05-26 20:46 Matt Thode
2016-04-19 22:17 Matt Thode
2016-04-09 14:17 Agostino Sarubbo
2016-04-09 14:14 Agostino Sarubbo
2016-04-07 14:25 Matt Thode
2016-04-06 15:26 Matt Thode
2016-03-25 18:36 Matt Thode
2016-03-25 15:29 Matt Thode
2016-03-25 15:27 Matt Thode
2016-03-25 15:19 Matt Thode
2016-03-25 15:19 Matt Thode
2016-03-25  5:29 Matt Thode
2016-03-25  5:02 Matt Thode
2016-03-03 15:27 Matt Thode
2016-02-10  1:16 Matt Thode
2016-02-03 17:06 Matt Thode
2016-02-03 16:54 Agostino Sarubbo
2016-02-03 16:53 Agostino Sarubbo
2016-01-24 17:22 Agostino Sarubbo
2015-12-15 21:55 Matt Thode
2015-11-16 21:26 Matt Thode
2015-11-16 16:26 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-11-12 10:22 Justin Lecher
2015-10-19 19:11 Matt Thode
2015-10-18  7:07 Matt Thode
2015-10-18  7:07 Matt Thode
2015-10-18  6:27 Matt Thode
2015-10-16  6:23 Matt Thode
2015-10-16  4:35 Matt Thode
2015-10-15 16:41 Matt Thode
2015-10-15 16:41 Matt Thode
2015-10-15  6:55 Matt Thode
2015-10-15  5:25 Matt Thode
2015-10-13 18:27 Matt Thode
2015-10-13 18:27 Matt Thode
2015-08-29  3:03 Matt Thode
2015-08-24 14:04 Agostino Sarubbo
2015-08-24 14:02 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1589405529.ab550c4aafef3af1658a38a294df0fa7c1cfa834.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox